Skip to content

starterTemplate

QUERYstarterTemplate

AI Defense Policy GraphQL API · Queries

Fetch a single starter template by key. Returns null if the key is unknown.

Arguments

Argument Type Description
key String!

Returns

StarterTemplate

Request samples

curl -X POST "https://api.taegis.sophos.com/graphql" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>" -H "Content-Type: application/json" -d "{
  \"query\": \"query StarterTemplate(\$key: String!) { starterTemplate(key: \$key) { key name description recommended version rules { position action enforcementMechanismOverride note } baseRule { generativeAiCategoryAction appControlCategoryAction } impact { totalApps blocked warned allowed } } }\",
  \"variables\": {
    \"key\": \"<key>\"
  }
}"

import requests

response = requests.post(
    "https://api.taegis.sophos.com/graphql",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
        "Content-Type": "application/json",
    },
    json={   'query': 'query StarterTemplate($key: String!) { starterTemplate(key: '
             '$key) { key name description recommended version rules { '
             'position action enforcementMechanismOverride note } baseRule { '
             'generativeAiCategoryAction appControlCategoryAction } impact { '
             'totalApps blocked warned allowed } } }',
    'variables': {'key': '<key>'}},
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
    "Content-Type" = "application/json"
}
$body = '{
  "query": "query StarterTemplate($key: String!) { starterTemplate(key: $key) { key name description recommended version rules { position action enforcementMechanismOverride note } baseRule { generativeAiCategoryAction appControlCategoryAction } impact { totalApps blocked warned allowed } } }",
  "variables": {
    "key": "<key>"
  }
}'
Invoke-RestMethod -Method POST -Uri "https://api.taegis.sophos.com/graphql" -Headers $headers -Body $body -ContentType "application/json"

package main

import (
    "fmt"
    "io"
    "net/http"
    "strings"
)

func main() {
    req, err := http.NewRequest("POST", "https://api.taegis.sophos.com/graphql", strings.NewReader(`{
  "query": "query StarterTemplate($key: String!) { starterTemplate(key: $key) { key name description recommended version rules { position action enforcementMechanismOverride note } baseRule { generativeAiCategoryAction appControlCategoryAction } impact { totalApps blocked warned allowed } } }",
  "variables": {
    "key": "<key>"
  }
}`))
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")
    req.Header.Set("Content-Type", "application/json")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api.taegis.sophos.com/graphql", {
  method: "POST",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
  "query": "query StarterTemplate($key: String!) { starterTemplate(key: $key) { key name description recommended version rules { position action enforcementMechanismOverride note } baseRule { generativeAiCategoryAction appControlCategoryAction } impact { totalApps blocked warned allowed } } }",
  "variables": {
    "key": "<key>"
  }
}),
});
const data = await response.json();
console.log(data);